Skip to main content
POST
/
v2
/
teams
/
{teamId}
/
files
/
create-upload-url
Create File Upload URL
curl --request POST \
  --url https://api.duvo.ai/v2/teams/{teamId}/files/create-upload-url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fileName": "<string>",
  "contentType": "<string>"
}
'
{
  "signedUrl": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "filePath": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

teamId
string
required

Body

application/json
fileName
string
required

Name of the file to upload

Minimum string length: 1
contentType
string
required

MIME type of the file

Minimum string length: 1

Response

Default Response

signedUrl
string<uri>
required

The signed URL for uploading

expiresAt
string<date-time>
required

When the URL expires

filePath
string
required

The path where the file will be stored